Subject: [PATCH 15/20] ASoC: fsl: make fsl_ssi driver compilable on ARM/IMX

From: [email-masked] (Tabi Timur-B04825)
Date: Tue, 6 Mar 2012 13:02:35 +0000

Mark Brown wrote:
> Well, who reads the documentation to get this stuff anyway?  As you
> observe it's far from complete about what's what locked when and how so
> you need to go to the code to see what's actually going on, especially
> whenever you need to call back into the ALSA APIs.  Though of course I'm
> pretty sure there's a bunch of uniprocessor assumptions through the body
> of driver code anyway...

So are you saying that it's possible for one CPU to call my trigger 
callback to start playback on one substream, while another CPU calls it to 
start capture on another substream?

If so, then I need to add locking in my trigger function.

-- 
Timur Tabi
Linux kernel developer at Freescale